<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    <body>

        <ui:composition template="./../WEB-INF/Modelo.xhtml">

           <ui:define name="content">
                <p:fieldset legend="Cadastro Aluno">

                    <p:panelGrid id="painel" >

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="Código:" for="codigo" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="codigo" value="#{alunoBean.aluno.id}" readonly="true" size="2" />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column >
                                        <p:outputLabel value="Nome:" for="nomeForm" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="nomeForm" value="#{alunoBean.aluno.nome}"  readonly="false" />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="CPF:" for="cpf" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="cpf" value="#{alunoBean.aluno.cpf}"  />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="Endereço:" for="endereco" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="endereco" value="#{alunoBean.aluno.endereco}"  />
                                    </p:column>

                                    <p:column>
                                        <p:outputLabel value="Nº" for="numero" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="numero" value="#{alunoBean.aluno.numero}"  size="2" />
                                    </p:column>
                                    <p:column>
                                        <p:outputLabel value="Cidade:" for="cidade" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="cidade" value="#{alunoBean.aluno.cidade}" />
                                    </p:column>
                                    <p:column>
                                        <p:outputLabel value="UF:" for="uf" />
                                    </p:column>
                                    <p:column>
                                        <p:inputText id="uf" value="#{alunoBean.aluno.estado}" size="2" />
                                    </p:column>

                                </p:row>

                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="Complemento:" for="complemento" />
                                    </p:column>
                                    <p:column colspan="8">
                                        <p:inputText id="complemento" value="#{alunoBean.aluno.complemento}" size="100" />
                                    </p:column>

                                </p:row>
                            </p:panelGrid>

                </p:fieldset>

                
                <p:commandButton value="Salvar" actionListener="#{alunoBean.salvar}" update="painel,growl" />
                <p:commandButton value="Novo"  actionListener="#{alunoBean.novo}" update="painel" immediate="true" process="@this" />


            </ui:define>

           

        </ui:composition>

    </body>
</html>
